[DEFAULT]
debug = True

memcached_servers = 10.42.42.20:11211

compute_driver = libvirt.LibvirtDriver
connection_type = libvirt
dhcpbridge = /usr/bin/nova-dhcpbridge
ec2_private_dns_show_ip = True
enabled_apis = osapi_compute,metadata
firewall_driver = nova.virt.firewall.NoopFirewallDriver
instance_usage_audit = True
instance_usage_audit_period = hour
iscsi_helper = tgtadm
libvirt_use_virtio_for_bridges = True
log-dir = /var/log/nova
metadata_listen_port = 8775
metadata_workers = 2
my_ip = 10.42.42.20
notify_on_state_change = vm_and_task_state
novnc_enable = True
osapi_compute_listen_port = 8774
osapi_compute_workers = 2
resume_guests_state_on_host_boot = True
root_helper = sudo nova-rootwrap /etc/nova/rootwrap.conf
state_path = /var/lib/nova
transport_url = rabbit://openstack:RABBIT_PASSWORD@10.42.42.20/
volumes_path = /var/lib/nova/volumes

[glance]
api_servers = http://10.42.42.20:9292

[cache]
backend = oslo_cache.memcache_pool
enabled = True
memcache_servers = 10.42.42.20:11211

[neutron]
auth_type = password
auth_url = http://10.42.42.20:35357
metadata_proxy_shared_secret = METADATA_SHARED_SECRET
project_domain_name = default
project_name = service
region_name = RegionOne
service_metadata_proxy = True
url = http://10.42.42.20:9696
user_domain_name = default
username = neutron
password = NEUTRON_PASSWORD

[libvirt]
inject_key = false
inject_partition = -2
inject_password = false
live_migration_flag = VIR_MIGRATE_UNDEFINE_SOURCE,VIR_MIGRATE_PEER2PEER,VIR_MIGRATE_LIVE
virt_type = kvm

[api_database]
connection = mysql+pymysql://nova:NOVA_MYSQL_PASSWORD@10.42.42.20/nova_api

[database]
connection = mysql+pymysql://nova:NOVA_MYSQL_PASSWORD@10.42.42.20/nova

[keystone_authtoken]
auth_type = password
auth_uri = http://10.42.42.20:5000
auth_url = http://10.42.42.20:35357
project_domain_id = default
project_name = service
user_domain_id = default

username = nova
password = NOVA_PASSWORD

memcached_servers = 10.42.42.20:11211

[oslo_concurrency]
lock_path = /var/lib/nova/tmp

[conductor]
workers = 2

[cinder]
catalog_info = volumev2:cinderv2:internalURL

[placement]
auth_type = password
auth_url = http://10.42.42.20:35357
os_region_name = RegionOne
project_domain_id = default
project_name = service
user_domain_id = default
username = nova
password = NOVA_PASSWORD

[vnc]
keymap = fr
novncproxy_base_url = http://10.42.42.20:6080/vnc_auto.html
novncproxy_host = 10.42.42.20
novncproxy_port = 6080
vncserver_listen = 10.42.42.20
vncserver_proxyclient_address = 10.42.42.20

[api]
auth_strategy = keystone

[wsgi]
api_paste_config = /etc/nova/api-paste.ini

[oslo_messaging_notifications]
driver = messagingv2
topics = notifications
